"GeneralProperties" = "General Properties";

/* Format-Specific Dictionaries */

"{TIFF}" = "TIFF Properties";
"{GIF}" = "GIF Properties";
"{JFIF}" = "JFIF Properties";
"{Exif}" = "Exif Properties";
"{PNG}" = "PNG Properties";
"{IPTC}" = "IPTC Properties";
"{GPS}" = "GPS Properties";
//"{Raw}" = "Raw Properties";
"{CIFF}" = "Canon Properties";
"{MakerNikon}" = "Nikon Notes";
"{MakerCanon}" = "Canon Notes";
"{8BIM}" = "Photoshop Properties";
"{DNG}" = "DNG Properties";

/* Individual Image Properties */

"DPIHeight" = "DPI height: %@";
"DPIWidth" = "DPI width: %@";
"Depth" = "Depth: %@ bits";
"ColorModel" = "Color model: %@";
"ProfileName" = "Profile name: %@";
"HasAlpha" = "Has alpha: %@";
"IsIndexed" = "Is indexed: %@";
"IsFloat" = "Is float: %@";
"Orientation" = "Orientation: %@";

//"PixelHeight" = "Pixel height: %@";
//"PixelWidth" = "Pixel width: %@";

"Yes" = "Yes";
"No" = "No";

/* kCGImagePropertyExifDictionary and kCGImagePropertyExifAuxDictionary Keys */

"SerialNumber" = "Serial number: %@";
"LensModel" = "Lens: %@";
"ISOSpeedRatings" = "ISO: %@";
"FocalLength" = "Focal length: %@ mm";
"FocalLenIn35mmFilm" = "Focal length (35 mm): %@ mm";
"DigitalZoomRatio" = "Digital zoom ratio: %@";

"FNumber" = "Aperture: ƒ/%@";
"ExposureTime" = "Exposure time: %@ s";
"ExposureBiasValue" = "Exposure bias: %@ ev";

"BrightnessValue" = "Brightness: %@";
"ExposureIndex" = "Exposure index: %@";

"Flash" = "Flash: %@";
"FlashCompensation" = "Flash compensation: %@ ev";
"FlashEnergy" = "Flash energy: %@ BCPS";

"PixelSize1" = "Pixel size: %@ x %@ (%@ MP)";
"PixelSize2" = "Pixel size: %@ x %@";
"ComponentsConfiguration" = "Components configuration: %@";
"CompressedBitsPerPixel" = "Compressed bits per pixel: %@";
"ColorSpace" = "Color space: %@";
"ImageUniqueID" = "Image unique ID: %@";
"RelatedSoundFile" = "Related sound file: %@";

"DateTimeOriginal" = "Date time original: %@";
"DateTimeDigitized" = "Date time digitized: %@";
"SubsecTime" = "Sub-second time: %@";
"SubsecTimeOriginal" = "Sub-second time original: %@";
"SubsecTimeDigitized" = "Sub-second time digitized: %@";

"WhiteBalance" = "White balance: %@";
"ExposureProgram" = "Exposure program: %@";
"MeteringMode" = "Metering mode: %@";
"ExposureMode" = "Exposure mode: %@";
"FocusDistance" = "Focus distance: %@";

"LightSource" = "Light source: %@";
"Contrast" = "Contrast: %@";
"Saturation" = "Saturation: %@";
"Sharpness" = "Sharpness: %@";
"GainControl" = "Gain control: %@";
"CustomRendered" = "Custom rendered: %@";

"SceneCaptureType" = "Scene capture type: %@";
"SubjectLocation" = "Subject location: %@";
"SubjectArea" = "Subject area: %@";
"SubjectDistRange" = "Subject distance range: %@";
"SubjectDistance" = "Subject distance: %@";

"MaxApertureValue" = "Maximum aperture: %@";

"FocalPlaneXResolution" = "Focal plane X resolution: %@";
"FocalPlaneYResolution" = "Focal plane Y resolution: %@";
"FocalPlaneResolutionUnit" = "Focal plane resolution unit: %@";

"SensingMethod" = "Sensing method: %@";
"CFAPattern" = "CFA pattern: %@";
"SpectralSensitivity" = "Spectral sensitivity: %@";

"ExifVersion" = "Exif version: %@";
"FlashPixVersion" = "FlashPix version: %@";
"Firmware" = "Firmware version: %@";

"UserComment" = "User comment: %@";

//"PixelXDimension" = "Pixel X dimension: %@";
//"PixelYDimension" = "Pixel Y dimension: %@";
//"OECF" = "OECF";
//"ShutterSpeedValue" = "Shutter speed: %@";
//"ApertureValue" = "Aperture: %@";
//"MakerNote" = "Maker note";
//"SpatialFrequencyResponse" = "Spatial frequency response";
//"FileSource" = "File source";
//"SceneType" = "Scene type";
//"DeviceSettingDescription" = "Device setting description: %@";

/* kCGImagePropertyGIFDictionary Keys */

"HasGlobalColorMap" = "Has global color map: %@";
"LoopCount" = "Loop count: %@";
"DelayTime" = "Delay time: %@ s";

//"ImageColorMap" = "Image color map";

/* kCGImagePropertyGPSDictionary Keys */

"GPSVersion" = "GPS version: %@";
//"LatitudeRef" = "Latitude reference";
"Latitude" = "Latitude: %@";
//"LongitudeRef" = "Longitude reference";
"Longitude" = "Longitude: %@";
//"AltitudeRef" = "Altitude reference";
"Altitude" = "Altitude: %@ m (%@ ft) %@";
"DateTimeStamp" = "Date time stamp: %@ %@";
"DateStamp" = "Date stamp: %@";
"TimeStamp" = "Time stamp: %@";
"Satellites" = "Satellites: %@";
"Status" = "Status: %@";
"MeasureMode" = "Measure mode: %@";
"DOP" = "Degree of precision: %@";
//"SpeedRef" = "Speed reference";
"Speed" = "Speed: %@ %@";
"TrackRef" = "Track reference: %@";
"Track" = "Track: %@°";
"ImgDirectionRef" = "Image direction reference: %@";
"ImgDirection" = "Image direction: %@°";
"MapDatum" = "Map datum: %@";
//"DestLatitudeRef" = "Destination latitude reference";
"DestLatitude" = "Destination latitude: %@";
//"DestLongitudeRef" = "Destination longitude reference";
"DestLongitude" = "Destination longitude: %@";
"DestBearingRef" = "Destination bearing reference: %@";
"DestBearing" = "Destination bearing: %@°";
//"DestDistanceRef" = "Destination distance reference";
"DestDistance" = "Destination distance: %@ %@";
"ProcessingMethod" = "Processing method: %@";
"AreaInformation" = "Area information: %@";
"Differential" = "Differential: %@";

"GeographicalCoordinates" = "%@° %@’ %@” %@";
"Degrees" = "%@° ";
"Minutes" = "%@’ ";
"Seconds" = "%@” ";
"N" = "N";
"S" = "S";
"E" = "E";
"W" = "W";

/* kCGImagePropertyIPTCDictionary Keys */

"IPTCContact" = "Contact";
"Byline" = "Creator: %@";
"BylineTitle" = "Job title: %@";
"CiAdrExtadr" = "Address: %@";
"CiAdrCity" = "City: %@";
"CiAdrRegion" = "State/province: %@";
"CiAdrPcode" = "Postal code: %@";
"CiAdrCtry" = "Country: %@";
"CiTelWork" = "Phone: %@";
"CiEmailWork" = "Email: %@";
"CiUrlWork" = "Website: %@";

"IPTCContent" = "Content";
"Headline" = "Headline: %@";
"Caption/Abstract" = "Caption: %@";
"Keywords" = "Keywords: %@";
"SubjectReference" = "IPTC subject code: %@";
"Writer/Editor" = "Caption writer: %@";

"IPTCImage" = "Image";
"DateCreated" = "Date created: %@";
"TimeCreated" = "Time created: %@";
"ObjectAttributeReference" = "Intellectual genre: %@";
"Scene" = "IPTC scene: %@";
"SubLocation" = "Location: %@";
"City" = "City: %@";
"Province/State" = "State/province: %@";
"Country/PrimaryLocationName" = "Country: %@";
"Country/PrimaryLocationCode" = "ISO country code: %@";

"IPTCStatus" = "Status";
"ObjectName" = "Title: %@";
"OriginalTransmissionReference"	= "Job identifier: %@";
"SpecialInstructions" = "Instructions: %@";
"Credit" = "Provider: %@";
"Source" = "Source: %@";
"CopyrightNotice" = "Copyright: %@";
"UsageTerms" = "Usage terms: %@";

"IPTCLegacy" = "Legacy";
"ActionAdvised" = "Action advised: %@";
"Category" = "Category: %@";
"Contact" = "Contact: %@";
"ContentLocationCode" = "Content location code: %@";
"ContentLocationName" = "Content location name: %@";
"DigitalCreationDate" = "Digital creation date: %@";
"DigitalCreationTime" = "Digital creation time: %@";
"EditorialUpdate" = "Editorial update: %@";
"EditStatus" = "Edit status: %@";
"ExpirationDate" = "Expiration date: %@";
"ExpirationTime" = "Expiration time: %@";
"FixtureIdentifier" = "Fixture identifier: %@";
"ImageOrientation" = "Image orientation: %@";
"ImageType" = "Image type: %@";
"LanguageIdentifier" = "Language identifier: %@";
"ObjectCycle" = "Object cycle: %@";
"ObjectTypeReference" = "Object type reference: %@";
"OriginatingProgram" = "Originating program: %@";
"ProgramVersion" = "Program version: %@";
"ReferenceDate" = "Reference date: %@";
"ReferenceNumber" = "Reference number: %@";
"ReferenceService" = "Reference service: %@";
"ReleaseDate" = "Release date: %@";
"ReleaseTime" = "Release time: %@";
"SupplementalCategory" = "Supplemental categories: %@";
"Urgency" = "Urgency: %@";

/* kCGImagePropertyJFIFDictionary Keys */

"JFIFVersion" = "JFIF version: %@";
"XDensity" = "X density: %@";
"YDensity" = "Y density: %@";
"DensityUnit" = "Density unit: %@";

/* kCGImagePropertyPNGDictionary Keys */

"Gamma" = "Gamma: %@";
"InterlaceType" = "Interlace type: %@";
"XPixelsPerMeter" = "X pixels per meter: %@";
"YPixelsPerMeter" = "Y pixels per meter: %@";
"sRGBIntent" = "sRGB intent: %@";
"Chromaticities" = "Chromaticities: %@";

/* kCGImagePropertyTIFFDictionary Keys */

"Compression" = "Compression: %@";
"PhotometricInterpretation"	= "Photometric interpretation: %@";
"DocumentName" = "Document name: %@";
"ImageDescription" = "Image description: %@";
"Make" = "Camera make: %@";
"Model" = "Camera model: %@";
"Orientation" = "Orientation: %@";
"XResolution" = "X resolution: %@";
"YResolution" = "Y resolution: %@";
"ResolutionUnit" = "Resolution unit: %@";
"Software" = "Software: %@";
//"TransferFunction" = "Transfer function";
"DateTime" = "Date time: %@";
"Artist" = "Artist: %@";
"HostComputer" = "Host computer: %@";
"Copyright" = "Copyright: %@";
"WhitePoint" = "White point: %@";
"PrimaryChromaticities" = "Primary chromaticities: %@";

/* Possible keys for kCGImageProperty8BIMDictionary */

"LayerNames" = "Layer names: %@";

/* Possible keys for kCGImagePropertyDNGDictionary */

"DNGVersion" = "DNG version: %@";
"DNGBackwardVersion" = "DNG backward version: %@";
"UniqueCameraModel" = "Unique camera model: %@";
"LocalizedCameraModel" = "Localized camera model: %@";
"CameraSerialNumber" = "Camera serial number: %@";

//"LensInfo" = "Lens info: %@";

/* Possible keys for kCGImagePropertyMakerNikonDictionary */

"ISOSetting" = "ISO setting: %@";
"ColorMode" = "Color mode: %@";
"Quality" = "Quality: %@";
"WhiteBalanceMode" = "White balance mode: %@";
"SharpenMode" = "Sharpen mode: %@";
"FocusMode" = "Focus mode: %@";
"FlashSetting" = "Flash setting: %@";
"ISOSelection" = "ISO selection: %@";
//"FlashExposureComp" = "Flash Exposure Compensation";
"ImageAdjustment" = "Image adjustment: %@";
"LensAdapter" = "Lens adapter: %@";
"DigitalZoom" = "Digital zoom: %@";
//"ShootingMode" = "Shooting Mode";
//"CameraSerialNumber" = "Camera Serial Number";

/* Possible keys for kCGImagePropertyMakerCanonDictionary */

"AspectRatioInfo" = "Aspect ratio: %@";
"FocusDistanceLower" = "Lower focus distance: %@";
"FocusDistanceUpper" = "Upper focus distance: %@";
"MaxAperture" = "Maximum aperture: ƒ/%@";
"MinAperture" = "Minimum aperture: ƒ/%@";
"CameraTemperatur" = "Camera temperature: %@ °C (%@ °F)";
"CameraTemperature" = "Camera temperature: %@ °C (%@ °F)";

"MetersAndFeet" = "%@ m (%@ ft)";

